Skip to main content
POST
/
api
/
v4
/
sub-account
/
api-key
/
list
List Sub-Account API Keys
curl --request POST \
  --url https://whitebit.com/api/v4/sub-account/api-key/list \
  --header 'Content-Type: application/json' \
  --header 'X-TXC-APIKEY: <api-key>' \
  --header 'X-TXC-PAYLOAD: <api-key>' \
  --header 'X-TXC-SIGNATURE: <api-key>' \
  --data '
{
  "subAccountId": "8e667b4a-0b71-4988-8af5-9474dbfaeb51",
  "limit": 30,
  "offset": 0
}
'
{
  "limit": 123,
  "offset": 123,
  "data": [
    {
      "subAccountId": "8e667b4a-0b71-4988-8af5-9474dbfaeb51",
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "title": "Trading Bot Key",
      "isEnabled": true,
      "apiKey": "pub-key-abc123",
      "apiSecret": "",
      "type": "1",
      "lastActivity": 1641081600,
      "restrictAccess": false,
      "accessEndpoints": [
        {
          "name": "/api/v4/main-account/balance",
          "title": "Get Balance"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://whitebit-mintlify-fix-broken-links-1777248521.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

For security reasons, the apiSecret field returns an empty string in the response. The API secret is only displayed once during the initial API key creation.

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
subAccountId
string

ID of the sub-account to list API keys for

Example:

"8e667b4a-0b71-4988-8af5-9474dbfaeb51"

limit
integer
default:30
Required range: 1 <= x <= 100
Example:

30

offset
integer
default:0
Required range: 0 <= x <= 10000
Example:

0

Response

Successful response

limit
integer
offset
integer
data
object[]